MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
Util.hxx File Reference
`#include "check.h"`
`#include <unicode/utypes.h>`
Include dependency graph for Util.hxx:

Go to the source code of this file.

## Data Structures
struct | ConstBuffer< T >
| A reference to a memory area that is read-only. More...
class | AllocatedArray< T >
| An array allocated on the heap with a length determined at runtime. More...
class | AllocatedString< T >
| A string pointer whose memory is managed by this class. More...

## Functions
AllocatedArray< UChar > | UCharFromUTF8 (const char *src)
| Wrapper for u_strFromUTF8(). More...
AllocatedString< char > | UCharToUTF8 (ConstBuffer< UChar > src)
| Wrapper for u_strToUTF8(). More...

## Function Documentation

AllocatedArray<UChar> UCharFromUTF8 | ( | const char * | src | ) |

Wrapper for u_strFromUTF8().

Throws std::runtime_error on error.

AllocatedString<char> UCharToUTF8 | ( | ConstBuffer< UChar > | src | ) |

Wrapper for u_strToUTF8().

Throws std::runtime_error on error.